PrefabFiles = {
	"amyrose",
	"amyrose_none",
	"amyhammer",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/amyrose.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/amyrose.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/amyrose.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/amyrose.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/amyrose_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/amyrose_silho.xml" ),

    Asset( "IMAGE", "bigportraits/amyrose.tex" ),
    Asset( "ATLAS", "bigportraits/amyrose.xml" ),
	
	Asset( "IMAGE", "images/map_icons/amyrose.tex" ),
	Asset( "ATLAS", "images/map_icons/amyrose.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_amyrose.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_amyrose.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_amyrose.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_amyrose.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_amyrose.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_amyrose.xml" ),
	
	Asset( "IMAGE", "images/names_amyrose.tex" ),
    Asset( "ATLAS", "images/names_amyrose.xml" ),
	
    Asset( "IMAGE", "bigportraits/amyrose_none.tex" ),
    Asset( "ATLAS", "bigportraits/amyrose_none.xml" ),
	
	Asset( "ATLAS", "images/hud/amytab.xml" ),
	Asset( "IMAGE", "images/hud/amytab.tex" ),

}

GLOBAL.STRINGS.NAMES.AMYHAMMER= "Piko Piko Hammer"
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local TECH = GLOBAL.TECH

--Amy's Tab

local amytab = AddRecipeTab( "Amy' Tab", 988, "images/hud/amytab.xml", "amytab.tex", "amy_builder")

AddRecipe("amyhammer", 
{GLOBAL.Ingredient("spear",1), GLOBAL.Ingredient("cutstone", 3), GLOBAL.Ingredient("log",2),}, 
amytab, TECH.NONE, nil, nil, nil, nil, "amy_builder", 
"images/inventoryimages/amyhammer.xml", "amyhammer.tex" )

-- Custom Recipe Desc
STRINGS.RECIPE_DESC.amyhammer = "Amy's trusty Piko Piko Hammer!"  

-- The character select screen lines
STRINGS.CHARACTER_TITLES.amyrose = "Hammer wielding heroine."
STRINGS.CHARACTER_NAMES.amyrose = "Amy Rose"
STRINGS.CHARACTER_DESCRIPTIONS.amyrose = "*Piko Piko Hammer\n*Speedy\n"
STRINGS.CHARACTER_QUOTES.amyrose = "\"Have no fear, Amy Rose is here!\""

-- Custom speech strings
STRINGS.CHARACTERS.AMYROSE = require "speech_amyrose"

-- The character's name as appears in-game 
STRINGS.NAMES.amyrose = "Amy"

AddMinimapAtlas("images/map_icons/amyrose.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("amyrose", "FEMALE")

